<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <View
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1" />

    <ImageView
        android:id="@+id/iv_logo"
        android:layout_width="wrap_content"
        android:layout_height="0dp"
        android:layout_weight="4"
        android:layout_gravity="center_horizontal"
        android:src="@drawable/ic_logo_yunnan" />

    <TextView
        android:id="@+id/tv_title"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center_horizontal"
        android:layout_marginTop="8dp"
        android:text="功能名称"
        android:textColor="@color/colorWhite"
        android:textSize="24sp"
        android:textStyle="bold" />

    <View
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="0.5" />

    <android.support.v7.widget.CardView
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginLeft="8dp"
        android:layout_marginRight="8dp"
        android:layout_weight="10"
        app:cardCornerRadius="8dp"
        app:cardElevation="4dp"
        app:cardPreventCornerOverlap="false"
        app:cardUseCompatPadding="false">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@drawable/primary_gradient_bg"
                android:gravity="center"
                android:paddingTop="8dp"
                android:paddingBottom="8dp"
                android:text="账号密码登录"
                android:textColor="@color/colorWhite"
                android:textSize="24sp"
                android:textStyle="bold" />

            <View
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_weight="1" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="16dp"
                android:layout_marginRight="16dp">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="账号:"
                    android:textColor="@color/colorBlackBoldText"
                    android:textSize="24sp" />

                <EditText
                    android:id="@+id/et_username"
                    android:layout_width="0dp"
                    android:layout_height="40dp"
                    android:layout_weight="1"
                    android:background="@android:color/transparent"
                    android:gravity="center_vertical"
                    android:hint="请输入用户名"
                    android:paddingLeft="8dp"
                    android:singleLine="true"
                    android:textSize="24sp" />

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1px"
                android:layout_marginLeft="16dp"
                android:layout_marginRight="16dp"
                android:background="@color/colorLine" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="16dp"
                android:layout_marginRight="16dp">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="密码:"
                    android:textColor="@color/colorBlackBoldText"
                    android:textSize="24sp" />

                <EditText
                    android:id="@+id/et_password"
                    android:layout_width="0dp"
                    android:layout_height="40dp"
                    android:layout_weight="1"
                    android:background="@android:color/transparent"
                    android:gravity="center_vertical"
                    android:hint="请输入密码"
                    android:imeOptions="actionGo"
                    android:inputType="textPassword"
                    android:paddingLeft="8dp"
                    android:singleLine="true"
                    android:textSize="24sp" />

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1px"
                android:layout_marginLeft="16dp"
                android:layout_marginRight="16dp"
                android:background="@color/colorLine" />

            <RadioGroup
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="16dp"
                android:layout_marginRight="16dp"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="读写卡："
                    android:textColor="@color/colorBlackBoldText"
                    android:textSize="22sp" />

                <RadioButton
                    android:id="@+id/rb_nfc"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginRight="8dp"
                    android:text="NFC"
                    android:textColor="@color/colorBlackBoldText"
                    android:textSize="22sp" />

                <RadioButton
                    android:id="@+id/rb_m10a"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="M10A"
                    android:textColor="@color/colorBlackBoldText"
                    android:textSize="22sp" />
            </RadioGroup>

            <View
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_weight="1" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <Button
                    android:id="@+id/bt_login"
                    android:layout_width="0dp"
                    android:layout_height="40dp"
                    android:layout_marginLeft="16dp"
                    android:layout_marginTop="8dp"
                    android:layout_marginRight="16dp"
                    android:layout_marginBottom="8dp"
                    android:layout_weight="1"
                    android:background="@drawable/btn_primary_bg"
                    android:text="登录"
                    android:textColor="@color/colorWhite"
                    android:textSize="24sp" />

                <Button
                    android:id="@+id/bt_init"
                    android:layout_width="0dp"
                    android:layout_height="40dp"
                    android:layout_marginTop="8dp"
                    android:layout_marginBottom="8dp"
                    android:layout_weight="1"
                    android:background="@drawable/primary_line_r_bg"
                    android:text="初始化"
                    android:textSize="24sp" />

                <Button
                    android:id="@+id/bt_reset"
                    android:layout_width="0dp"
                    android:layout_height="40dp"
                    android:layout_marginLeft="16dp"
                    android:layout_marginTop="8dp"
                    android:layout_marginRight="16dp"
                    android:layout_marginBottom="8dp"
                    android:layout_weight="1"
                    android:background="@drawable/primary_line_r_bg"
                    android:text="重填"
                    android:textSize="24sp" />

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_weight="1" />

        </LinearLayout>

    </android.support.v7.widget.CardView>

    <View
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1" />

</LinearLayout>






